[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.SetBlobData

Set BLOB data

## Declaration

Source position: db.pas line 1248

`public procedure TParam.SetBlobData(`
`Buffer: Pointer;`
`ASize: Integer`
`);`

## Arguments

`Buffer` |  | Memory buffer to load data from
`ASize` |  | Size of memory buffer to load data from

## Description

SetBlobData reads the value of a BLOB type parameter from a memory buffer: the data is read from the memory buffer Buffer and is assumed to be Size bytes long.

## Errors

No checking is performed on the validity of the data buffer. If the data buffer is invalid or the size is wrong, an exception may occur.

## See also

TParam.LoadFromStream |  | Load a parameter value from stream